> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/detectionstatus.md).

# DetectionStatus

### **`DISABLED`**

Detections are disabled. Call enableDetections() to enable them.

### **`EXPIRED`**

Detections were disabled automatically, as per the expiration date that was provided when calling enableDetections(Date).

### **`ENABLED_BUT_BLOCKED`**

Detections are enabled, but not running. Check getSdkStatus() to find out why.

Possible reasons can be:

* Remotely disabled user.
* Insufficient permissions.
* Invalid device location settings.

### **`ENABLED_AND_DETECTING`**

Detections are enabled and running.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/detectionstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
